/*
 * 文 件 名:  MeterObjSubType
 * 版    权:  浩鲸云计算科技股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2024/8/14
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.ruoyi.ems.domain.common;

import org.apache.commons.lang3.StringUtils;

/**
 * 计量对象子
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2024/8/14]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public enum MeterObjSubType {
    METER_AREA(1),

    METER_BUILDING(2),

    METER_ZONING(3),

    METER_FACS(1),

    METER_DEVICE(2);

    private int type;

    MeterObjSubType(int type) {
        this.type = type;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public static MeterObjSubType getByTier(String tier) {
        if (StringUtils.equals(tier, AreaTier.Area.name())) {
            return METER_AREA;
        }
        else if (StringUtils.equals(tier, AreaTier.Building.name())) {
            return METER_BUILDING;
        }
        else if (StringUtils.equals(tier, AreaTier.Zoning.name())) {
            return METER_ZONING;
        }

        return null;
    }
}